Get socket option

- « ZMQSocket::getSocketType

- ZMQSocket::isPersistent »

- PHP Manual
- ZMQSocket
- Get socket option

# ZMQSocket::getSockOpt

(PECL zmq >= 0.5.0)

ZMQSocket::getSockOpt — Get socket option

### Description

public ZMQSocket::getSockOpt(string `$key`): mixed

Returns the value of a socket option.

### Parameters

`key`

  An integer representing the option. See the `ZMQ::SOCKOPT_*` constants.

### Return Values

Returns either a string or an int depending on `key`. Throws ZMQSocketException on error.